;;; insert-shell-cmd.el --- Insert the output of a shell command in
;;;                         the current buffer.

;; Copyright (C) 2009 Patrik Nilsson
;; Author: Patrik Lembke <blambi@chebab.com>
;; X-URL: http://blambi.chebab.com/software/emacs/insert-shell-cmd.el
;; Keywords: reverse, region
;; Time-stamp: <2009-11-14 19:26>
;; Version: 0.1

;; This file is NOT part of GNU Emacs.

;; This program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(defun insert-shell-command ()
  "Simple hack for inserting a shell commands outout in current buffer"
  (interactive)
  (insert (shell-command-to-string (read-string "Command: "))))
